CertificateList (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.x509

## Class CertificateList

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.CertificateList

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CertificateList
      extends ASN1Object

  PKIX RFC-2459 The X.509 v2 CRL syntax is as follows. For signature calculation, the data that is to be signed is ASN.1 DER encoded.

       CertificateList  ::=  SEQUENCE  {
            tbsCertList          TBSCertList,
            signatureAlgorithm   AlgorithmIdentifier,
            signatureValue       BIT STRING  }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateList(ASN1Sequence seq)` Deprecated. use getInstance() method.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CertificateList` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static CertificateList` | `getInstance(java.lang.Object obj)`
    `X500Name` | `getIssuer()`
    `Time` | `getNextUpdate()`
    `java.util.Enumeration` | `getRevokedCertificateEnumeration()`
    `TBSCertList.CRLEntry[]` | `getRevokedCertificates()`
    `DERBitString` | `getSignature()`
    `AlgorithmIdentifier` | `getSignatureAlgorithm()`
    `TBSCertList` | `getTBSCertList()`
    `Time` | `getThisUpdate()`
    `int` | `getVersionNumber()`
    `int` | `hashCode()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateList

          public CertificateList(ASN1Sequence seq)

      Deprecated. use getInstance() method.
      Parameters:
        `seq` -

  - ### Method Detail

    - #### getInstance

          public static CertificateList getInstance(ASN1TaggedObject obj,
                                    boolean explicit)

    - #### getInstance

          public static CertificateList getInstance(java.lang.Object obj)

    - #### getTBSCertList

          public TBSCertList getTBSCertList()

    - #### getRevokedCertificates

          public TBSCertList.CRLEntry[] getRevokedCertificates()

    - #### getRevokedCertificateEnumeration

          public java.util.Enumeration getRevokedCertificateEnumeration()

    - #### getSignatureAlgorithm

          public AlgorithmIdentifier getSignatureAlgorithm()

    - #### getSignature

          public DERBitString getSignature()

    - #### getVersionNumber

          public int getVersionNumber()

    - #### getIssuer

          public X500Name getIssuer()

    - #### getThisUpdate

          public Time getThisUpdate()

    - #### getNextUpdate

          public Time getNextUpdate()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ASN1Object`